#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <stdlib.h>

#include <QMainWindow>
#include <QProcess>
#include <QString>
#include <QStringList>
#include <QProcessEnvironment>
#include <QTimer>

#include "exttext.h"
#include "worker.h"

namespace Ui
{
class MainWindow;
}

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    explicit MainWindow(QWidget *parent = 0);
    ~MainWindow();

signals:
    void child_sent(QString stream);

public slots:
    void child_receive(QString stream);
//    void child_send_standard();
//    void child_send_error();
    void doSIGINT();
    void doSIGSTP();

    void disown();

private:
    pid_t frkpty(int *masterin, char *slavename);
    Ui::MainWindow *ui;
    int m_pid;
    QProcessEnvironment envlq;

    WorkerThread *m_worker;

    int m_slaveFD;
};

#endif // MAINWINDOW_H
